using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.AE
{
    /// <summary>
    /// 勘察记录表事故照片
    /// </summary>
    [Description("勘察记录表事故照片")]
    public class T_AE_INVESTIGATION_RECORD_ACC_FILES : MesEntityBase
    {
        /// <summary>
        /// 勘察记录表ID
        /// </summary>
        [Description("勘察记录表ID")]
        [DataFieldForeignKey("Nav_Record", "Nav_FilesAcc")]
        public Guid RECORD_ID { get; set; }

        /// <summary>
        /// 导航: 勘察记录表
        /// </summary>
        [Description("导航: 勘察记录表")]
        public virtual T_AE_INVESTIGATION_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
